# Create a base Ubuntu image to build upon
# docker build --rm -t xaicorp/php:7.0 .
FROM ubuntu:16.04
MAINTAINER Richard Morgan <r_morgan@sympatico.ca>

WORKDIR /opt/project

EXPOSE 9000

# set terminal variable so that tools such as nano and htop work
# this is not needed in prod containers, but is useful for devs
ENV TERM=xterm

RUN apt-get update && apt-get install -y \
    curl nano sed libwww-perl htop ca-certificates \
    php7.0 php-cli php-fpm php-curl php-pear php-mcrypt php-zip php-mbstring php-xml \
    php-mysql php-pgsql php-redis php-soap \
    \
  && apt-get clean && rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

COPY ./docker-php-fpm.conf /etc/php/7.0/fpm/pool.d/www.conf

CMD ["/usr/sbin/php-fpm7.0", "-F"]
